/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: block;
  width: 100%;
  max-width: 70em;
  margin: 0 auto;
}

.info-form {
  width: 100%;

  & > * {
    margin-bottom: 1em;
  }
}

.form-control {
  padding: 1em;
  box-sizing: border-box;
}

.attachments {
  display: flex;
  flex-flow: row wrap;
  min-height: 15em;
  padding: 0.5em;
  box-sizing: border-box;
  max-height: 25em;
  overflow: auto;
}

.attachments--container {
  flex: 1 1 calc(50% - 2em);
  display: flex;
  flex-flow: column;
  margin: 0.5em;
}
